## class: `WyPreviewItem`, `wy-preview-item`

Preview item that selects and renders the appropriate preview component for a file.
Renders a child preview component depending on format and metadata.

**Used sub components:**

*   [`<wy-preview-image>`](./wy-preview-image)
*   [`<wy-pdf-viewer>`](./wy-pdf-viewer)
*   [`<wy-preview-media>`](./wy-preview-media)
*   [`<wy-preview-text>`](./wy-preview-text)
*   [`<wy-preview-embed>`](./wy-preview-embed)
*   [`<wy-preview-icon>`](./wy-preview-icon)

### Events

| Name                  | Type                         | Description                            | Inherited From |
| --------------------- | ---------------------------- | -------------------------------------- | -------------- |
| `file-preview-loaded` | `FilePreviewLoadedEventType` | The file preview is considered loaded. |                |

<details><summary>Private API</summary>

### Fields

| Name          | Privacy   | Type | Default                           | Description | Inherited From |
| ------------- | --------- | ---- | --------------------------------- | ----------- | -------------- |
| `exportParts` | protected |      | `new ShadowPartsController(this)` |             |                |

</details>

<hr/>

## Exports

| Kind                        | Name              | Declaration   | Module                            | Package |
| --------------------------- | ----------------- | ------------- | --------------------------------- | ------- |
| `js`                        | `WyPreviewItem`   | WyPreviewItem | lib/components/wy-preview-item.ts |         |
| `custom-element-definition` | `wy-preview-item` | WyPreviewItem | lib/components/wy-preview-item.ts |         |
